Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456366 - Printing certain documents results in garbled text
Summary: Printing certain documents results in garbled text
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 8
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-23 06:24 UTC by logiconcepts819
Modified: 2009-01-09 06:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:41:15 UTC


Attachments (Terms of Use)
This zip archive contains the images of the expected printout and the actual printout, and the file for reproducing the problem. (deleted)
2008-07-23 06:24 UTC, logiconcepts819
no flags Details
This zip archive contains the PPD file and the troubleshoot text file. (deleted)
2008-08-06 01:43 UTC, logiconcepts819
no flags Details
print-to-file.ps (deleted)
2008-08-06 09:01 UTC, Tim Waugh
no flags Details
This picture proves the result using the command "lp -dHL-1650_70N_BR-Script3 -oraw print-to-file.ps". (deleted)
2008-08-06 15:56 UTC, logiconcepts819
no flags Details
pol-sci-letter-1-demo.pdf (deleted)
2008-08-06 16:45 UTC, Tim Waugh
no flags Details

Description logiconcepts819 2008-07-23 06:24:51 UTC
Description of problem:
Hello.  I was attempting to print a document in OpenOffice Writer using a
Brother HL-1650 printer (the Make and Model according to the printer
configuration is 'Brother HL-1650 Foomatic/Postscript,' and I am using the
'AppSocket/HP JetDirect' method for printing).  However, the printed document
showed garbled text (see 'cups-printout.png' in the 'cups.zip' attachment), as
opposed to what it should have been (see 'normal-printout.png' in the attachment
- this copy was printed from Windows XP with OpenOffice, so this is apparently
not an OpenOffice bug).  No errors show up in the CUPS error log; it simply
indicates that the job has "Completed successfully."  The 'messages' log file
also did not show any errors regarding CUPS.

Version-Release number of selected component (if applicable):
cups.i386 1:1.3.7-4.fc8

How reproducible:
Always

Steps to Reproduce:
1. Download the attached 'cups.zip' attachment.
2. Open 'cups.zip.'
3. Launch 'pol-sci-letter-1-demo.odt' from whichever zip utility opened.
4. Print the document.
  
Actual results:
The printout had garbled text.  CUPS did not show any errors, and errors related
to CUPS were not present in any of the log files.

Expected results:
The printout should not have any problems.

Additional info:
none

Comment 1 logiconcepts819 2008-07-23 06:24:51 UTC
Created attachment 312424 [details]
This zip archive contains the images of the expected printout and the actual printout, and the file for reproducing the problem.

Comment 2 Tim Waugh 2008-08-04 16:36:17 UTC
I have not been able to reproduce this.  I need further information:

1. Please attach the PPD for the queue from /etc/cups/ppd/.

2. Please try the printing troubleshooter (System->Administration->Printing from the main menu, then Help->Troubleshoot from the menu bar) and, when it asks you to print a test page, print from OpenOffice as before.  You will probably end up with a troubleshoot.txt file -- please attach that here using the 'Add an attachment' link.

Comment 3 logiconcepts819 2008-08-06 01:43:06 UTC
Created attachment 313510 [details]
This zip archive contains the PPD file and the troubleshoot text file.

Comment 4 Tim Waugh 2008-08-06 09:01:36 UTC
Created attachment 313535 [details]
print-to-file.ps

I've attached the result of File->Print, Print To File (PostScript) from OpenOffice.org.  Please try this:

lp -dHL-1650_70N_BR-Script3 -oraw print-to-file.ps

Does that result in garbled output?

Comment 5 logiconcepts819 2008-08-06 15:47:24 UTC
Yes, the printout comes out garbled.

Comment 6 logiconcepts819 2008-08-06 15:56:33 UTC
Created attachment 313590 [details]
This picture proves the result using the command "lp -dHL-1650_70N_BR-Script3 -oraw print-to-file.ps".

Comment 7 Tim Waugh 2008-08-06 16:45:14 UTC
Created attachment 313607 [details]
pol-sci-letter-1-demo.pdf

Here is a PDF generated by OpenOffice.org from Fedora 8 (2.3.0-6.15.fc8).

Please try printing it like this:

  lp -dHL-1650_70N_BR-Script3 pol-sci-letter-1-demo.pdf

Does that look garbled?

Comment 8 logiconcepts819 2008-08-06 17:52:58 UTC
Printing the exported PDF file does NOT result in garbled text.

Comment 9 Bug Zapper 2008-11-26 11:01:54 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2009-01-09 06:41:15 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.